<!DOCTYPE html>
<html class="no-js">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1" charset="UTF-8">
    <title>DecimalFormat</title>
    <link href="../../../images/logo-icon.svg" rel="icon" type="image/svg">
    <script>var pathToRoot = "../../../";</script>
    <script>document.documentElement.classList.replace("no-js","js");</script>
    <script>const storage = localStorage.getItem("dokka-dark-mode")
    if (storage == null) {
        const osDarkSchemePreferred = window.matchMedia && window.matchMedia('(prefers-color-scheme: dark)').matches
        if (osDarkSchemePreferred === true) {
            document.getElementsByTagName("html")[0].classList.add("theme-dark")
        }
    } else {
        const savedDarkMode = JSON.parse(storage)
        if(savedDarkMode === true) {
            document.getElementsByTagName("html")[0].classList.add("theme-dark")
        }
    }
    </script>
<script type="text/javascript" src="https://unpkg.com/kotlin-playground@1/dist/playground.min.js" async="async"></script>
<script type="text/javascript" src="../../../scripts/sourceset_dependencies.js" async="async"></script>
<link href="../../../styles/style.css" rel="Stylesheet">
<link href="../../../styles/main.css" rel="Stylesheet">
<link href="../../../styles/prism.css" rel="Stylesheet">
<link href="../../../styles/logo-styles.css" rel="Stylesheet">
<link href="../../../styles/font-jb-sans-auto.css" rel="Stylesheet">
<script type="text/javascript" src="../../../scripts/clipboard.js" async="async"></script>
<script type="text/javascript" src="../../../scripts/navigation-loader.js" async="async"></script>
<script type="text/javascript" src="../../../scripts/platform-content-handler.js" async="async"></script>
<script type="text/javascript" src="../../../scripts/main.js" defer="defer"></script>
<script type="text/javascript" src="../../../scripts/prism.js" async="async"></script>
<script type="text/javascript" src="../../../scripts/symbol-parameters-wrapper_deferred.js" defer="defer"></script>
<link href="../../../images/nexa-64x64.png">
<link href="../../../images/logo-icon.svg">
<link href="../../../styles/logo-styles.css" rel="Stylesheet">
</head>
<body>
    <div class="root">
<nav class="navigation" id="navigation-wrapper">
    <div class="navigation--inner">
        <div class="navigation-title">
            <button class="menu-toggle" id="menu-toggle" type="button">toggle menu</button>
            <div class="library-name">
                    <a class="library-name--link" href="../../../index.html">
                            libnexakotlin
                    </a>
            </div>
            <div class="library-version">
0.0.22            </div>
        </div>
        <div class="filter-section" id="filter-section">
                <button class="platform-tag platform-selector common-like" data-active="" data-filter=":libnexakotlin:dokkaHtml/commonMain">common</button>
                <button class="platform-tag platform-selector common-like" data-active="" data-filter=":libnexakotlin:dokkaHtml/nativeMain">native</button>
        </div>
    </div>
    <div class="navigation-controls">
        <button class="navigation-controls--btn navigation-controls--theme" id="theme-toggle-button" type="button">switch theme</button>
        <div class="navigation-controls--btn navigation-controls--search" id="searchBar" role="button">search in API</div>
    </div>
</nav>
        <div id="container">
            <div class="sidebar" id="leftColumn">
                <div class="sidebar--inner" id="sideMenu"></div>
            </div>
            <div id="main">
<div class="main-content" data-page-type="classlike" id="content" pageIds="libnexakotlin::org.nexa.libnexakotlin/DecimalFormat///PointingToDeclaration//-1238070324">
  <div class="breadcrumbs"><a href="../../../index.html">libnexakotlin</a><span class="delimiter">/</span><a href="../index.html">org.nexa.libnexakotlin</a><span class="delimiter">/</span><span class="current">DecimalFormat</span></div>
  <div class="cover ">
    <h1 class="cover"><span>Decimal</span><wbr></wbr><span><span>Format</span></span></h1>
    <div class="platform-hinted  with-platform-tabs" data-platform-hinted="data-platform-hinted">
      <div class="platform-bookmarks-row" data-toggle-list="data-toggle-list"><button class="platform-bookmark" data-filterable-current=":libnexakotlin:dokkaHtml/commonMain" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain" data-active="" data-toggle=":libnexakotlin:dokkaHtml/commonMain">common</button><button class="platform-bookmark" data-filterable-current=":libnexakotlin:dokkaHtml/nativeMain" data-filterable-set=":libnexakotlin:dokkaHtml/nativeMain" data-toggle=":libnexakotlin:dokkaHtml/nativeMain">native</button></div>
<div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/commonMain"><div class="symbol monospace"><span class="token keyword">expect </span><span class="token keyword">class </span><a href="index.html">DecimalFormat</a><span class="token punctuation">(</span><span class="parameters "><span class="parameter ">fmtSpec<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html">String</a></span></span><span class="token punctuation">)</span></div></div><div class="content sourceset-dependent-content" data-togglable=":libnexakotlin:dokkaHtml/nativeMain"><div class="symbol monospace"><span class="token keyword">actual </span><span class="token keyword">class </span><a href="index.html">DecimalFormat</a><span class="token punctuation">(</span><span class="parameters "><span class="parameter "><span class="token keyword">val </span>fmtSpec<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html">String</a></span></span><span class="token punctuation">)</span></div></div>    </div>
  </div>
  <div class="tabbedcontent">
    <div class="tabs-section" tabs-section="tabs-section"><button class="section-tab" data-active="" data-togglable="CONSTRUCTOR,TYPE,PROPERTY,FUNCTION">Members</button></div>
    <div class="tabs-section-body">
      <div data-togglable="CONSTRUCTOR">
        <h2 class="">Constructors</h2>
        <div class="table"><a data-name="-2144175877%2FConstructors%2F-1238070324" anchor-label="DecimalFormat" id="-2144175877%2FConstructors%2F-1238070324" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain,:libnexakotlin:dokkaHtml/nativeMain"></a>
          <div class="table-row" data-togglable="CONSTRUCTOR" data-filterable-current=":libnexakotlin:dokkaHtml/commonMain,:libnexakotlin:dokkaHtml/nativeMain" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain,:libnexakotlin:dokkaHtml/nativeMain">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="-decimal-format.html"><span>Decimal</span><wbr></wbr><span><span>Format</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-2144175877%2FConstructors%2F-1238070324"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted  with-platform-tabs" data-platform-hinted="data-platform-hinted">
                    <div class="platform-bookmarks-row" data-toggle-list="data-toggle-list"><button class="platform-bookmark" data-filterable-current=":libnexakotlin:dokkaHtml/commonMain" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain" data-active="" data-toggle=":libnexakotlin:dokkaHtml/commonMain">common</button><button class="platform-bookmark" data-filterable-current=":libnexakotlin:dokkaHtml/nativeMain" data-filterable-set=":libnexakotlin:dokkaHtml/nativeMain" data-toggle=":libnexakotlin:dokkaHtml/nativeMain">native</button></div>
<div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/commonMain"><div class="symbol monospace"><span class="token keyword">expect </span><span class="token keyword">constructor</span><span class="token punctuation">(</span><span class="parameters "><span class="parameter ">fmtSpec<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html">String</a></span></span><span class="token punctuation">)</span></div></div><div class="content sourceset-dependent-content" data-togglable=":libnexakotlin:dokkaHtml/nativeMain"><div class="symbol monospace"><span class="token keyword">actual </span><span class="token keyword">constructor</span><span class="token punctuation">(</span><span class="parameters "><span class="parameter ">fmtSpec<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html">String</a></span></span><span class="token punctuation">)</span></div></div>                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div data-togglable="PROPERTY">
        <h2 class="">Properties</h2>
        <div class="table"><a data-name="-1418209951%2FProperties%2F-1428659706" anchor-label="fmtMode" id="-1418209951%2FProperties%2F-1428659706" data-filterable-set=":libnexakotlin:dokkaHtml/nativeMain"></a>
          <div class="table-row" data-filterable-current=":libnexakotlin:dokkaHtml/nativeMain" data-filterable-set=":libnexakotlin:dokkaHtml/nativeMain">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="fmt-mode.html"><span>fmt</span><wbr></wbr><span><span>Mode</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-1418209951%2FProperties%2F-1428659706"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted  with-platform-tabs" data-platform-hinted="data-platform-hinted">
                    <div class="platform-bookmarks-row" data-toggle-list="data-toggle-list"><button class="platform-bookmark" data-filterable-current=":libnexakotlin:dokkaHtml/nativeMain" data-filterable-set=":libnexakotlin:dokkaHtml/nativeMain" data-active="" data-toggle=":libnexakotlin:dokkaHtml/nativeMain">native</button></div>
<div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/nativeMain"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">var </span><a href="fmt-mode.html">fmtMode</a><span class="token operator">: </span><span data-unresolved-link="com.ionspin.kotlin.bignum.decimal/DecimalMode///PointingToDeclaration/">DecimalMode</span></div></div>                  </div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-909729207%2FProperties%2F-1428659706" anchor-label="fmtSpec" id="-909729207%2FProperties%2F-1428659706" data-filterable-set=":libnexakotlin:dokkaHtml/nativeMain"></a>
          <div class="table-row" data-filterable-current=":libnexakotlin:dokkaHtml/nativeMain" data-filterable-set=":libnexakotlin:dokkaHtml/nativeMain">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="fmt-spec.html"><span>fmt</span><wbr></wbr><span><span>Spec</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-909729207%2FProperties%2F-1428659706"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted  with-platform-tabs" data-platform-hinted="data-platform-hinted">
                    <div class="platform-bookmarks-row" data-toggle-list="data-toggle-list"><button class="platform-bookmark" data-filterable-current=":libnexakotlin:dokkaHtml/nativeMain" data-filterable-set=":libnexakotlin:dokkaHtml/nativeMain" data-active="" data-toggle=":libnexakotlin:dokkaHtml/nativeMain">native</button></div>
<div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/nativeMain"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">val </span><a href="fmt-spec.html">fmtSpec</a><span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html">String</a></div></div>                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div data-togglable="FUNCTION">
        <h2 class="">Functions</h2>
        <div class="table"><a data-name="605129016%2FFunctions%2F-1238070324" anchor-label="format" id="605129016%2FFunctions%2F-1238070324" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain,:libnexakotlin:dokkaHtml/nativeMain"></a>
          <div class="table-row" data-filterable-current=":libnexakotlin:dokkaHtml/commonMain,:libnexakotlin:dokkaHtml/nativeMain" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain,:libnexakotlin:dokkaHtml/nativeMain">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="format.html"><span><span>format</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="605129016%2FFunctions%2F-1238070324"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted  with-platform-tabs" data-platform-hinted="data-platform-hinted">
                    <div class="platform-bookmarks-row" data-toggle-list="data-toggle-list"><button class="platform-bookmark" data-filterable-current=":libnexakotlin:dokkaHtml/commonMain" data-filterable-set=":libnexakotlin:dokkaHtml/commonMain" data-active="" data-toggle=":libnexakotlin:dokkaHtml/commonMain">common</button><button class="platform-bookmark" data-filterable-current=":libnexakotlin:dokkaHtml/nativeMain" data-filterable-set=":libnexakotlin:dokkaHtml/nativeMain" data-toggle=":libnexakotlin:dokkaHtml/nativeMain">native</button></div>
<div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/commonMain"><div class="symbol monospace"><span class="token keyword">expect </span><span class="token keyword"></span><span class="token keyword">fun </span><a href="format.html"><span class="token function">format</span></a><span class="token punctuation">(</span><span class="parameters "><span class="parameter ">num<span class="token operator">: </span><span data-unresolved-link="com.ionspin.kotlin.bignum.decimal/BigDecimal///PointingToDeclaration/">BigDecimal</span></span></span><span class="token punctuation">)</span><span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html">String</a></div></div><div class="content sourceset-dependent-content" data-togglable=":libnexakotlin:dokkaHtml/nativeMain"><div class="symbol monospace"><span class="token keyword">actual </span><span class="token keyword"></span><span class="token keyword">fun </span><a href="format.html"><span class="token function">format</span></a><span class="token punctuation">(</span><span class="parameters "><span class="parameter ">num<span class="token operator">: </span><span data-unresolved-link="com.ionspin.kotlin.bignum.decimal/BigDecimal///PointingToDeclaration/">BigDecimal</span></span></span><span class="token punctuation">)</span><span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html">String</a></div></div>                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
      <div class="footer">
        <span class="go-to-top-icon"><a href="#content" id="go-to-top-link"></a></span><span>(c) 2023 Bitcoin Unlimited</span><span
                class="pull-right"><span>Generated by </span><a
                href="https://github.com/Kotlin/dokka"><span>dokka</span><span class="padded-icon"></span></a></span>
      </div>
            </div>
        </div>
    </div>
</body>
</html>
